Package com.verisign.epp.codec.launch

## Class EPPLaunchInfData

- java.lang.Object
- - com.verisign.epp.codec.launch.EPPLaunchInfData

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLaunchInfData
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the domain info response to return the launch phase application or registration information. The `EPPLaunchInfo` domain info command extension defines the application or registration information to return.
  See Also:
    `EPPLaunchInfo`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for the launch phase info response extension local name
    `static java.lang.String` | `ELM_NAME` | Constant for the launch phase info response extension tag

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLaunchInfData()` | Create an `EPPLaunchInfData` instance
    `EPPLaunchInfData​(EPPLaunchPhase aPhase, EPPMark aMark)` | Create a EPPLaunchInfData instance for a registration with the phase and an individual mark.
    `EPPLaunchInfData​(EPPLaunchPhase aPhase, java.lang.String aApplicationId, EPPLaunchStatus aStatus)` | Create a EPPLaunchInfData instance for an application with the phase, application identifier, and application status values.
    `EPPLaunchInfData​(EPPLaunchPhase aPhase, java.lang.String aApplicationId, EPPLaunchStatus aStatus, EPPMark aMark)` | Create a EPPLaunchInfData instance for an application with the phase, application identifier, application status, and an individual of mark values.
    `EPPLaunchInfData​(EPPLaunchPhase aPhase, java.lang.String aApplicationId, EPPLaunchStatus aStatus, java.util.List<EPPMark> aMarks)` | Create a EPPLaunchInfData instance for an application with the phase, application identifier, application status, and list of marks values.
    `EPPLaunchInfData​(EPPLaunchPhase aPhase, java.util.List<EPPMark> aMarks)` | Create a EPPLaunchInfData instance for a registration with the phase and list of marks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMark​(EPPMark aMark)` | Add a mark to the list of marks.
    `java.lang.Object` | `clone()` | Clone `EPPLaunchInfData`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the EPPLaunchInfData component
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Sets all this instance's data in the given XML document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPLaunchInfData` compare.
    `java.lang.String` | `getApplicationId()` | Gets the application identifier of the launch application.
    `EPPMark` | `getMark()` | Gets an individual mark.
    `java.util.List<EPPMark>` | `getMarks()` | Gets the list of marks
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLaunchPhase` | `getPhase()` | Gets phase during which the application or registration was submitted or is associated with.
    `EPPLaunchStatus` | `getStatus()` | Gets the application status.
    `void` | `setApplicationId​(java.lang.String aApplicationId)` | Sets the application identifier of the launch application.
    `void` | `setMark​(EPPMark aMark)` | Sets an individual mark.
    `void` | `setMarks​(java.util.List<EPPMark> aMarks)` | Sets the list of marks.
    `void` | `setPhase​(EPPLaunchPhase aPhase)` | Sets the phase during which the application or registration was submitted or is associated with.
    `void` | `setPhase​(java.lang.String aPhaseString)` | Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
    `void` | `setStatus​(EPPLaunchStatus aStatus)` | Sets the application status.
    `void` | `setStatus​(java.lang.String aStatusString)` | Sets the status with one of the `EPPLaunchStatus` `STATUS` constants.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the launch phase info response extension local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the launch phase info response extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchInfData

          public EPPLaunchInfData()

      Create an `EPPLaunchInfData` instance

    - #### EPPLaunchInfData

          public EPPLaunchInfData​(EPPLaunchPhase aPhase,
                                  java.util.List<EPPMark> aMarks)

      Create a EPPLaunchInfData instance for a registration with the phase and list of marks.
      Parameters:
        `aPhase` - The phase during which the registration was submitted or is associated with.
        `aMarks` - List of marks

    - #### EPPLaunchInfData

          public EPPLaunchInfData​(EPPLaunchPhase aPhase,
                                  EPPMark aMark)

      Create a EPPLaunchInfData instance for a registration with the phase and an individual mark.
      Parameters:
        `aPhase` - The phase during which the registration was submitted or is associated with.
        `aMark` - An individual mark

    - #### EPPLaunchInfData

          public EPPLaunchInfData​(EPPLaunchPhase aPhase,
                                  java.lang.String aApplicationId,
                                  EPPLaunchStatus aStatus)

      Create a EPPLaunchInfData instance for an application with the phase, application identifier, and application status values.
      Parameters:
        `aPhase` - The phase during which the application was submitted or is associated with.
        `aApplicationId` - Application identifier of the returned application
        `aStatus` - Status of the launch application

    - #### EPPLaunchInfData

          public EPPLaunchInfData​(EPPLaunchPhase aPhase,
                                  java.lang.String aApplicationId,
                                  EPPLaunchStatus aStatus,
                                  java.util.List<EPPMark> aMarks)

      Create a EPPLaunchInfData instance for an application with the phase, application identifier, application status, and list of marks values.
      Parameters:
        `aPhase` - The phase during which the application was submitted or is associated with.
        `aApplicationId` - Application identifier of the returned application
        `aStatus` - Status of the launch application
        `aMarks` - List of marks

    - #### EPPLaunchInfData

          public EPPLaunchInfData​(EPPLaunchPhase aPhase,
                                  java.lang.String aApplicationId,
                                  EPPLaunchStatus aStatus,
                                  EPPMark aMark)

      Create a EPPLaunchInfData instance for an application with the phase, application identifier, application status, and an individual of mark values.
      Parameters:
        `aPhase` - The phase during which the application was submitted or is associated with.
        `aApplicationId` - Application identifier of the returned application
        `aStatus` - Status of the launch application
        `aMark` - An individual mark

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchInfData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchInfData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPLaunchInfData component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Element to decode from
      Throws:
        `EPPDecodeException` - On decoding error

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPLaunchInfData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchInfData` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getApplicationId

          public java.lang.String getApplicationId()

      Gets the application identifier of the launch application.
      Returns:
        Application identifier if defined; `null` otherwise.

    - #### setApplicationId

          public void setApplicationId​(java.lang.String aApplicationId)

      Sets the application identifier of the launch application.
      Parameters:
        `aApplicationId` - Application identifier of the launch application

    - #### getPhase

          public EPPLaunchPhase getPhase()

      Gets phase during which the application or registration was submitted or is associated with.
      Returns:
        phase during which the application or registration was submitted or is associated with if defined; `null` otherwise.

    - #### setPhase

          public void setPhase​(EPPLaunchPhase aPhase)

      Sets the phase during which the application or registration was submitted or is associated with.
      Parameters:
        `aPhase` - Phase during which the application or registration was submitted or is associated with

    - #### getStatus

          public EPPLaunchStatus getStatus()

      Gets the application status.
      Returns:
        Launch status if defined; `null` otherwise.

    - #### setStatus

          public void setStatus​(EPPLaunchStatus aStatus)

      Sets the application status.
      Parameters:
        `aStatus` - The application status

    - #### setStatus

          public void setStatus​(java.lang.String aStatusString)

      Sets the status with one of the `EPPLaunchStatus` `STATUS` constants.
      Parameters:
        `aStatusString` - One of the `EPPLaunchStatus` `STATUS` constants.

    - #### setPhase

          public void setPhase​(java.lang.String aPhaseString)

      Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
      Parameters:
        `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

    - #### setMark

          public void setMark​(EPPMark aMark)

      Sets an individual mark.
      Parameters:
        `aMark` - An individual mark

    - #### getMark

          public EPPMark getMark()

      Gets an individual mark. If there are more then one mark in the marks list, only the first mark will be returned.
      Returns:
        Gets the individual mark

    - #### addMark

          public void addMark​(EPPMark aMark)

      Add a mark to the list of marks.
      Parameters:
        `aMark` - Mark to add to list

    - #### getMarks

          public java.util.List<EPPMark> getMarks()

      Gets the list of marks
      Returns:
        List of marks if defined; empty list otherwise.

    - #### setMarks

          public void setMarks​(java.util.List<EPPMark> aMarks)

      Sets the list of marks.
      Parameters:
        `aMarks` - List of marks

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.